package com.tzld.piaoquan.recommend.server.framework.score;

import com.tzld.piaoquan.recommend.server.service.score.model.GBDTModel;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class BaseGBDTModelScorer extends AbstractScorer {
    private static Logger LOGGER = LoggerFactory.getLogger(BaseGBDTModelScorer.class);

    public BaseGBDTModelScorer(ScorerConfigInfo scorerConfigInfo) {
        super(scorerConfigInfo);
    }

    @Override
    public synchronized void loadModel() {
        doLoadModel(GBDTModel.class);
    }

}
